<!-- main app container -->
    <div class="container">
        <div class="row">
            <div class="col-md-6 offset-md-3">
                <h3>Login Page</h3>
                <form [formGroup]="loginForm" (ngSubmit)="login()">
                    <div class="form-group">
                        <label>Email id</label>
                        <input type="text" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                        <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                            <div *ngIf="f.email.errors.required" style="color: red">Email id is required</div>
                            <div *ngIf="f.email.errors.email" style="color: red">Email id must be a valid email address</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Password</label>
                        <input type="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
                        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                            <div *ngIf="f.password.errors.required" style="color: red">Password is required</div>
                            <div *ngIf="f.password.errors.minlength" style="color: red">Password must be at least 6 characters</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-primary">Login</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="container">
        <div *ngIf="!showHidden" class="form-group">
            <button class="btn btn-primary" (click)="openRegister()">Register</button>
        </div>
        <div *ngIf="showHidden" class="form-group">
            <button class="btn btn-primary" (click)="openRegister()">Cancel</button>
        </div>
        <div class="row" *ngIf="showHidden">
            <div class="modal-dialog">
                <div class="modal-content">
                 <div class="modal-header">
                    <button type="button" class="close" (click)="openRegister()" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Register User</h4>
                 </div>
                 <div class="row">
                    <div class="col-md-6 offset-md-3">
                       <div class="modal-body">
                          <form [formGroup]="registerForm" (ngSubmit)="register()">
                          <div class="form-group">
                             <label>Email (*)</label>
                             <input type="text" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted2 && f2.email.errors }" />
                             <div *ngIf="submitted2 && f2.email.errors" class="invalid-feedback">
                                 <div *ngIf="f2.email.errors.required" style="color: red">Email is required</div>
                                 <div *ngIf="f2.email.errors.email" style="color: red">Email must be a valid email address</div>
                             </div>
                             </div>
                             <div class="form-group">
                             <label>Password (*)</label>
                             <input type="password" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted2 && f2.password.errors }" />
                             <div *ngIf="submitted2 && f2.password.errors" class="invalid-feedback">
                                 <div *ngIf="f2.password.errors.required" style="color: red">Password is required</div>
                                 <div *ngIf="f2.password.errors.minlength" style="color: red">Password must be at least 6 characters</div>
                             </div>
                             </div>
                          <div class="form-group">
                             <label>Name (*)</label>
                             <input type="text" formControlName="name" class="form-control" [ngClass]="{ 'is-invalid': submitted2 && f2.name.errors }" />
                             <div *ngIf="submitted2 && f2.name.errors" class="invalid-feedback">
                                <div *ngIf="f2.name.errors.required" style="color: red">User name is required</div>
                             </div>
                          </div>
                          <div class="form-group">
                             <button class="btn btn-primary">Add User</button>
                          </div>
                          </form>
                       </div>
                    </div>
                 </div>
            </div>
        </div>
        </div>
    </div>

